> For the complete documentation index, see [llms.txt](https://docs.elastiflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elastiflow.com/additional-resources-reference-articles/faq/ca_cert_file_path_incorrect.md).

# CA Certificate Path Incorrect

The collector's log indicates that the certificate file path for an output is incorrect with an error including `file_if_set` validation.

### SYMPTOM

The collector's log indicates a message similar to the following:

```json
{"level":"panic","ts":"2023-08-25T11:34:48.953Z","logger":"flowcoll","caller":"elasticsearch/instance_registration.go:33","msg":"failed to instantiate config","code":"elasticsearch/conf-error","reason":"ENV: 'EF_OUTPUT_ELASTICSEARCH_TLS_CA_CERT_FILEPATH' Value: '/root/http_ca.crt' Error: failed 'file_if_set' validation"
```

Note the message `Error: failed 'file_if_set' validation`.

### PROBLEM

The collector cannot find a file at the path specified for the output. For Elasticsearch this would be `EF_OUTPUT_ELASTICSEARCH_TLS_CA_CERT_FILEPATH`. If this setting is not blank, it must be set to a valid certificate file or the collector will not run.

### SOLUTION

You must do ONE of the following:

* Set `EF_OUTPUT_<output name>_TLS_CA_CERT_FILEPATH` to the full path of a valid certificate file.
* Set `EF_OUTPUT_<output name>_TLS_SKIP_VERIFICATION` to `true`

### REFERENCE

* Cribl Output
  * [EF\_OUTPUT\_CRIBL\_TLS\_CA\_CERT\_FILEPATH](https://github.com/elastiflow/documentation/blob/main/docs/config_ref/common/output_cribl/README.md#ef_output_cribl_tls_ca_cert_filepath)
  * [EF\_OUTPUT\_CRIBL\_TLS\_SKIP\_VERIFICATION](https://github.com/elastiflow/documentation/blob/main/docs/config_ref/common/output_cribl/README.md#ef_output_cribl_tls_skip_verification)
* Elasticsearch Output
  * [EF\_OUTPUT\_ELASTICSEARCH\_TLS\_CA\_CERT\_FILEPATH](https://github.com/elastiflow/documentation/blob/main/docs/config_ref/common/output_elasticsearch/README.md#ef_output_elasticsearch_tls_ca_cert_filepath)
  * [EF\_OUTPUT\_ELASTICSEARCH\_TLS\_SKIP\_VERIFICATION](https://github.com/elastiflow/documentation/blob/main/docs/config_ref/common/output_elasticsearch/README.md#ef_output_elasticsearch_tls_skip_verification)
* Generic HTTP Output
  * [EF\_OUTPUT\_GENERIC\_HTTP\_TLS\_CA\_CERT\_FILEPATH](https://github.com/elastiflow/documentation/blob/main/docs/config_ref/common/output_http/README.md#ef_output_generic_http_tls_ca_cert_filepath)
  * [EF\_OUTPUT\_GENERIC\_HTTP\_TLS\_SKIP\_VERIFICATION](https://github.com/elastiflow/documentation/blob/main/docs/config_ref/common/output_http/README.md#ef_output_generic_http_tls_skip_verification)
* Kafka Output
  * [EF\_OUTPUT\_KAFKA\_TLS\_CA\_CERT\_FILEPATH](https://github.com/elastiflow/documentation/blob/main/docs/config_ref/common/output_kafka/README.md#ef_output_kafka_tls_ca_cert_filepath)
  * [EF\_OUTPUT\_KAFKA\_TLS\_SKIP\_VERIFICATION](https://github.com/elastiflow/documentation/blob/main/docs/config_ref/common/output_kafka/README.md#ef_output_kafka_tls_skip_verification)
* OpenSearch Output
  * [EF\_OUTPUT\_OPENSEARCH\_TLS\_CA\_CERT\_FILEPATH](https://github.com/elastiflow/documentation/blob/main/docs/config_ref/common/output_opensearch/README.md#ef_output_opensearch_tls_ca_cert_filepath)
  * [EF\_OUTPUT\_OPENSEARCH\_TLS\_SKIP\_VERIFICATION](https://github.com/elastiflow/documentation/blob/main/docs/config_ref/common/output_opensearch/README.md#ef_output_opensearch_tls_skip_verification)
* Splunk HEC Output
  * [EF\_OUTPUT\_SPLUNK\_HEC\_TLS\_CA\_CERT\_FILEPATH](https://github.com/elastiflow/documentation/blob/main/docs/config_ref/common/output_splunk_hec/README.md#ef_output_splunk_hec_tls_ca_cert_filepath)
  * [EF\_OUTPUT\_SPLUNK\_HEC\_TLS\_SKIP\_VERIFICATION](https://github.com/elastiflow/documentation/blob/main/docs/config_ref/common/output_splunk_hec/README.md#ef_output_splunk_hec_tls_skip_verification)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.elastiflow.com/additional-resources-reference-articles/faq/ca_cert_file_path_incorrect.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
